## snapd-extra-utils 1.0.7

=== snapd-seed-glue/tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(snapd_seed_glue_test)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED True)

add_executable(snapd_seed_glue_test cli-tests.cpp)

## snapd-extra-utils 1.0.1

=== debian/changelog ===
snapd-extra-utils (1.0.1) plucky; urgency=medium

  * Add missing cmake build dependency.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 29 Oct 2024 18:56:52 -0500

snapd-extra-utils (1.0.0) plucky; urgency=medium

  * Initial release (LP: #2061318).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 Oct 2024 19:28:41 -0500

=== debian/control ===
Source: snapd-extra-utils
Section: devel
Priority: optional
Maintainer: Simon Quigley <tsimonq2@ubuntu.com>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               golang-github-snapcore-snapd-dev (>= 2.62),
               golang-go,
               golang-golang-x-crypto-dev,
               golang-gopkg-yaml.v3-dev,
               qt6-base-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/snapd-extra-utils
Vcs-Git: https://git.lubuntu.me/Lubuntu/snapd-extra-utils.git

Package: snapd-seed-glue
Architecture: any
Depends: snapd, xdelta3, ${misc:Depends}, ${shlibs:Depends}
Description: Installer and pre-seed utilities for snapd
 Primarily used in Calamares, snapd-seed-glue updates snap seeds in a given
 directory, on a pre-booted system. It handles dependency resolution, delta
 downloads, and full snap downloads.

Package: snapd-installation-monitor
Architecture: any
Depends: snapd, ${misc:Depends}, ${shlibs:Depends}
Description: First-boot snap install notification
 When many snaps are preseeded, on first boot the user may be confused if they
 can not open one of those snaps. This simple notification informs the user,
 disappears when it is complete, and usually is not shown again.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export GO111MODULE = off
export GOPATH=/usr/share/gocode
export GOCACHE=$(CURDIR)/.gocache

%:
	dh $@

override_dh_auto_build:
	(cd snapd-seed-glue && go build -gcflags="all=-N -l" -ldflags="-compressdwarf=false" -o snapd-seed-glue)
	(cd snapd-installation-monitor && cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo . && make)

## snapd-extra-utils 1.0.7

=== debian/changelog ===
snapd-extra-utils (1.0.7) plucky; urgency=medium

  * Add several extra Breaks/Replaces to be safe.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 11 Dec 2024 22:18:42 -0600

snapd-extra-utils (1.0.6) plucky; urgency=medium

  * [autopkgtest] Further refactoring to properly run the autopkgtest.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 25 Nov 2024 01:57:44 -0600

snapd-extra-utils (1.0.5) plucky; urgency=medium

  * [autopkgtest] Convert the snapd-seed-glue autopkgtest to C++.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 24 Nov 2024 23:12:13 -0600

snapd-extra-utils (1.0.4) plucky; urgency=medium

  * [autopkgtest] Use snaps that are available on all arches, to fix armhf,
    ppc64el, and s390x failures.
  * [autopkgtest] Refactor the snapd-seed-glue calls for deduplication.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 24 Nov 2024 21:15:05 -0600

snapd-extra-utils (1.0.3) plucky; urgency=medium

  * In snapd-seed-glue, remove redundant decoding/encoding for account key.
  * Add an autopkgtest for snapd-seed-glue.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Nov 2024 22:11:22 -0600

snapd-extra-utils (1.0.2) plucky; urgency=medium

  * Fix edge cases where the snap revision may be older in the target channel
    than it is locally.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 18:07:46 -0600

=== debian/tests/control ===
Test-Command: snapd-seed-glue/tests/snapd_seed_glue_test
Depends: snapd-seed-glue, tree
Restrictions: needs-internet, build-needed

## snapd-extra-utils 1.1.0

=== snapd-seed-glue/tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.14)
+cmake_minimum_required(VERSION 3.16)
 project(snapd_seed_glue_test)
 
 set(CMAKE_CXX_STANDARD 23)

=== debian/changelog ===
snapd-extra-utils (1.1.0) plucky; urgency=medium

  * [snapd-seed-glue] Fix installation of snaps in Calamares Full Installation
    due to a missing account key, and add an autopkgtest to ensure we catch
    this ahead of time in the future (LP: #2096649).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 20 Feb 2025 14:09:13 -0600

=== debian/tests/control ===
Test-Command: snapd-seed-glue/tests/snapd_seed_glue_test
Depends: snapd-seed-glue, livecd-rootfs [amd64], squashfs-tools [amd64]
Restrictions: needs-internet, build-needed, isolation-machine, needs-sudo

## snapd-extra-utils 1.1.1

=== snapd-installation-monitor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(snapd-installation-monitor)

# Enable CMake features
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

# Find required Qt6 components
find_package(Qt6 COMPONENTS Widgets DBus REQUIRED)

# Set C++ standard
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Add the main application executable
add_executable(snapd-installation-monitor main.cpp)
target_link_libraries(snapd-installation-monitor Qt6::Widgets Qt6::DBus)

=== debian/changelog ===
snapd-extra-utils (1.1.1) plucky; urgency=medium

  * Split apart autopkgtests to prevent neutral on some arches.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 13:45:49 -0600

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,8 @@
 Package: snapd-seed-glue
 Architecture: any
 Depends: snapd, xdelta3, ${misc:Depends}, ${shlibs:Depends}
+Breaks: calamares-settings-ubuntu-common (<< 1:25.04.1)
+Replaces: calamares-settings-ubuntu-common (<< 1:25.04.1)
 Description: Installer and pre-seed utilities for snapd
  Primarily used in Calamares, snapd-seed-glue updates snap seeds in a given
  directory, on a pre-booted system. It handles dependency resolution, delta
@@ -25,6 +27,8 @@
 Package: snapd-installation-monitor
 Architecture: any
 Depends: snapd, ${misc:Depends}, ${shlibs:Depends}
+Breaks: lubuntu-snap-installation-monitor
+Replaces: lubuntu-snap-installation-monitor
 Description: First-boot snap install notification
  When many snaps are preseeded, on first boot the user may be confused if they
  can not open one of those snaps. This simple notification informs the user,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export GO111MODULE = off
export GOPATH=/usr/share/gocode
export GOCACHE=$(CURDIR)/.gocache
export NUM_CPUS = $(shell nproc)

%:
	dh $@

override_dh_auto_build:
	(cd snapd-seed-glue && go build -gcflags="all=-N -l" -ldflags="-compressdwarf=false" -o snapd-seed-glue)
	(cd snapd-seed-glue/tests && cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo . && make -j${NUM_CPUS})
	(cd snapd-installation-monitor && cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo . && make -j${NUM_CPUS})

=== debian/tests/control ===
Test-Command: snapd-seed-glue/tests/snapd_seed_glue_test
Depends: @builddeps@, snapd-seed-glue
Restrictions: needs-internet, build-needed
Architecture: !amd64

Test-Command: snapd-seed-glue/tests/snapd_seed_glue_test
Depends: @builddeps@, snapd-seed-glue, livecd-rootfs, squashfs-tools
Restrictions: needs-internet, build-needed, isolation-machine, needs-sudo
Architecture: amd64
